## bibclean 2.11.4.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#=======================================================================
# Makefile for BibTeX .bib file prettyprinter
#
# Current target list: (these include all GNU Project standard targets)
#	all			build bibclean
#	bclproto		obsolete; build an early prototype of bibclean
#	bibclean		executable for bibclean
#	bibclean.h		documentation strings for help() function
#	bibclean.hlp		VAX VMS help file (automatically converted
#				from bibclean.txt)
#	bibclean.html		HTML version of formatted manual pages
#	bibclean.i		C preprocessor output from bibclean.c
#	bibclean.pdf		Adobe Portable Document Format version 
#				of bibclean.man
#	bibclean.ps		PostScript version of bibclean.man
#	bibclean.tar		tar archive file for ftp distribution
#	bibclean.txt		nroff'ed bibclean.man manual page file
#	bibclean.zip		Info-zip archive file for ftp distribution
#	bibclean.zoo		zoo archive file for ftp distribution
#	check			same as test (see below)
#	clean			clean up all but executables and time stamps
#	clobber			clean up everything
#	distclean		remove everything make can rebuild at remote site
#	docs			make bibclean.txt, bibclean.hlp, and bibclean.ps
#	install			install executable and man pages
#	install.time		internal target for install
#	install-exe		install executable
#	install-man		install man pages
#	install-ftp		install .tar, .zip, and .zoo files in ftp tree
#	install-ftp.time	internal target for install-ftp
#	lint			check for code problems
#	mostlyclean		same as clean
#	maintainer-clean	for program author only: remove everything
#				make can rebuild at author's site
#	romtol			build and run test program for romtol()
#	TAGS			GNU Emacs tags file
#	test			test bibclean on BibTeX and Scribe
#				bibliographies
#	test-bibtex		test 1,2,3 bibclean on BibTeX bibliographies
#	test-bibtex-1		test 1 bibclean on BibTeX bibliographies
#	test-bibtex-2		test 2 bibclean on BibTeX bibliographies
#	test-bibtex-3		test 3 ISBN and ISSN verification
#	test-scribe		test 1,2,3 bibclean on Scribe bibliographies
#	test-scribe-1		test 1 bibclean on Scribe bibliographies
#	test-scribe-2		test 2 bibclean on Scribe bibliographies
#	test-scribe-3		test 3 bibclean on Scribe bibliographies
#	test-version		test extraction of version number
#	uninstall		remove files installed by "make install"
#	uninstall-ftp		remove installed files in anonymous ftp
#				directory
#
# [01-Jul-1996] -- add targets bibclean.pdf and DISTILL macro, and update
# 		   DIST-FILES list
# [03-May-1996] -- add targets match, romtol, test-match, and test-romtol,
#		   and update DIST-FILES list for version 2.11.3 release
# [25-Apr-1996] -- add target for bibclean.html, with associated
#		   support Makefile variables
# [20-Sep-1995] -- revise to use GNU autoconf and configure
# [08-Mar-1995] -- Change TARGET to TARGETS to avoid conflict with
#		   built-in macro on Cray systems. Add -D_POSIX_SOURCE
#		   to dec-alpha-osf1-c++ CC definition to work around
#		   bug in C++ signal.h header file on OSF/1 3.x.
# [21-Nov-1994] -- add cray-el94 target
# [11-Nov-1994] -- add sun-sparc-solaris2-lcc and sun-sparc-sunos5-lcc
# 		   targets
# [18-Oct-1994] -- add isbn.[co] to file lists
# [16-Oct-1994] -- add strist.[co] to file lists
# [04-Jun-1994] -- update for version 2.10
#		   add lint target
# [31-Dec-1993] -- final polishing of Makefile for public release
#                  after TUGboat publication
# [24-Sep-1993]
#=======================================================================
#### Start of system configuration section. ####

prefix          = /usr/local
exec_prefix     = $(prefix)

bindir          = $(exec_prefix)/bin
datadir         = $(prefix)/lib
infodir         = $(prefix)/info
libdir          = $(prefix)/lib
srcdir          = .

# This setting is specific to the developer's site, and not needed elsewhere
FTPDIR		= /u/ftp/pub/tex/bib

# Need new awk (nawk) or gawk here:
AWK		= /usr/local/bin/gawk
CC              = CC
CXX             = c++
CFLAGS          = -g $(OPT)
CHARSET         = @CHARSET@
CXXFLAGS	= -g -O2 $(OPT)

DEFS            = -DHAVE_CONFIG_H

INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

LDFLAGS         = $(OPT)
LIBOBJS		=  strtol.o
LIBS            = 

OPT		=


# Where to install the manual pages.
mandir          = $(prefix)/man/man1
# Extension (not including `.') for the installed manual page filenames.
manext          = 1

#### End of system configuration section. ####

# For testing purposes, make sure we always have the same
# initialization file
BIBCLEAN	= ./bibclean -init-file bibclean.ini

BIBTEX		= bibtex

BIBTEX-TESTS	= testbib1.org testbib2.org testbib3.org testbib4.org \
		  testbib5.org testbib6.org testisxn.org testcodn.org

# This program is freely available at ftp://ftp.math.utah.edu/pub/misc/checksum-x-y.*
CHECKSUM	= checksum

CHMOD		= chmod

COMPRESS	= compress

# Use the -p flag where available to preserve file time stamps
# All known UNIX implementations have an rcp that supports -p,
# but not all have similar support in cp.
CP		= /bin/cp -p
CP		= /bin/cp
CP		= rcp -p

DIST-FILES      = ChangeLog README Makefile Makefile.in bibclean.c \
		  bibclean.h bibclean.hlp bibclean.html bibclean.ini \
		  bibclean.man bibclean.pdf bibclean.ps bibclean.reg \
		  bibclean.txt build-all.sh ch.h chek.c config.h \
		  config.hin configure configure.in configure.sed \
		  custom.h delete.h do.c fix.c fndfil.c isbn.c \
		  keybrd.c keybrd.h match.c match.dat match.h \
		  match.lok option.c pattern.h rofvms.awk romtol.c \
		  romtol.dat romtol.lok strist.c strtol.c token.h \
		  toklst.h vaxvms.c vmswild.c xctype.h xerrno.h \
		  xlimits.h xpwd.h xstat.h xstdlib.h xstring.h \
		  xtypes.h xunistd.h yesorno.h $(BIBTEX-TESTS) \
		  $(BIBTEX-TESTS:.org=.bok) $(BIBTEX-TESTS:.org=.eok) \
		  testbib2.ltx $(SCRIBE-TESTS) \
		  $(SCRIBE-TESTS:.org=.bok) $(SCRIBE-TESTS:.org=.eok) \
		  testscr2.bo2 testscr2.eo2 doc/Makefile \
		  doc/bibclean.aux doc/bibclean.bbl doc/bibclean.bib \
		  doc/bibclean.blg doc/bibclean.dvi doc/bibclean.idx \
		  doc/bibclean.ilg doc/bibclean.ind doc/bibclean.log \
		  doc/bibclean.lot doc/bibclean.ltx doc/bibclean.sok \
		  doc/bibclean.sty doc/bibclean.toc doc/is-plain.bst \
		  doc/ltugboat.sty doc/path.sty doc/texnames.sty \
		  doc/tugboat.cmn ibmpc/dos/README \
		  ibmpc/dos/msc5p1/bibclean.exe \
		  ibmpc/dos/msc5p1/config.h \
		  ibmpc/dos/msc5p1/ibmclean.bat \
		  ibmpc/dos/msc5p1/ibmtest.bat \
		  ibmpc/dos/msc5p1/msc51bld.bat \
		  ibmpc/dos/msc5p1/msc51pth.bat \
		  ibmpc/dos/msc6p0/bibclean.exe \
		  ibmpc/dos/msc6p0/bibclean.map \
		  ibmpc/dos/msc6p0/config.h \
		  ibmpc/dos/msc6p0/ibmclean.bat \
		  ibmpc/dos/msc6p0/ibmtest.bat \
		  ibmpc/dos/msc6p0/msc60bld.bat \
		  ibmpc/dos/msc6p0/msc60pth.bat \
		  ibmpc/dos/msc7p0/config.h \
		  ibmpc/dos/msc7p0/ibmclean.bat \
		  ibmpc/dos/msc7p0/ibmtest.bat \
		  ibmpc/dos/msc7p0/msc70bld.bat \
		  ibmpc/dos/msc7p0/msc70pth.bat \
		  ibmpc/dos/tcc2p0/bibclean.exe \
		  ibmpc/dos/tcc2p0/config.h \
		  ibmpc/dos/tcc2p0/ibmclean.bat \
		  ibmpc/dos/tcc2p0/ibmtest.bat \
		  ibmpc/dos/tcc2p0/tcc20bld.bat \
		  ibmpc/dos/tcc2p0/tcc20pth.bat \
		  ibmpc/dos/tcc3p0/bibclean.exe \
		  ibmpc/dos/tcc3p0/config.h \
		  ibmpc/dos/tcc3p0/ibmclean.bat \
		  ibmpc/dos/tcc3p0/ibmtest.bat \
		  ibmpc/dos/tcc3p0/tcc30bld.bat \
		  ibmpc/dos/tcc3p0/tcc30pth.bat \
		  ibmpc/dos/tpp3p0/bibclean.exe \
		  ibmpc/dos/tpp3p0/config.h \
		  ibmpc/dos/tpp3p0/ibmclean.bat \
		  ibmpc/dos/tpp3p0/ibmtest.bat \
		  ibmpc/dos/tpp3p0/tcc30pth.bat \
		  ibmpc/dos/tpp3p0/tpp30bld.bat \
		  ibmpc/dos/wat10/wcc/bibclean.exe \
		  ibmpc/dos/wat10/wcc/bibclean.map \
		  ibmpc/dos/wat10/wcc/config.h \
		  ibmpc/dos/wat10/wcc/ibmclean.bat \
		  ibmpc/dos/wat10/wcc/ibmtest.bat \
		  ibmpc/dos/wat10/wcc/watcpp.bat \
		  ibmpc/dos/wat10/wcc/watpath.bat \
		  ibmpc/dos/wat10/wcc/watwcc.bat \
		  ibmpc/dos/wat10/wcc386/bibclean.exe \
		  ibmpc/dos/wat10/wcc386/config.h \
		  ibmpc/dos/wat10/wcc386/dos4gw.doc \
		  ibmpc/dos/wat10/wcc386/dos4gw.exe \
		  ibmpc/dos/wat10/wcc386/ibmclean.bat \
		  ibmpc/dos/wat10/wcc386/ibmtest.bat \
		  ibmpc/dos/wat10/wcc386/wat10bld.bat \
		  ibmpc/dos/wat10/wcc386/watpath.bat \
		  ibmpc/dos/wat10/wpp386/bibclean.exe \
		  ibmpc/dos/wat10/wpp386/config.h \
		  ibmpc/dos/wat10/wpp386/dos4gw.doc \
		  ibmpc/dos/wat10/wpp386/dos4gw.exe \
		  ibmpc/dos/wat10/wpp386/ibmclean.bat \
		  ibmpc/dos/wat10/wpp386/ibmtest.bat \
		  ibmpc/dos/wat10/wpp386/w386cpp.bat \
		  ibmpc/dos/wat10/wpp386/watpath.bat ibmpc/linux/bibclean \
		  save/Makefile save/config.h save/configure \
		  vms/alpha/recomp.com vms/alpha/vmsclean.com \
		  vms/alpha/vmsmake.com vms/alpha/vmstest.com vms/vax/README \
		  vms/vax/bibclean.exe vms/vax/bibclean.obj vms/vax/chek.obj \
		  vms/vax/config.h vms/vax/do.obj vms/vax/fix.obj \
		  vms/vax/fndfil.obj vms/vax/getoneheader.com \
		  vms/vax/getvmsheaders.com vms/vax/isbn.obj \
		  vms/vax/keybrd.obj vms/vax/match.obj vms/vax/option.obj \
		  vms/vax/recomp.com vms/vax/romtol.obj vms/vax/strist.obj \
		  vms/vax/vaxvms.obj vms/vax/vmsclean.com vms/vax/vmsmake.com \
		  vms/vax/vmstest.com vms/vax/vmswild.obj

DISTILL		= distill

DITROFF		= ditroff	## AT&T
DITROFF		= groff		## GNU

# Some systems define HOST or HOSTNAME, but others don't, so we
# generate it at compile time with the hostname utility.
HOST		= `hostname`

# This program is freely available at ftp://ftp.math.utah.edu/pub/sgml/sp-*
HTML-NCHECK	= html-ncheck

# This program is freely available at ftp://ftp.math.utah.edu/pub/sgml/htmlpty-x.y.*
HTML-PRETTY	= html-pretty

LATEX		= latex

LINT		= lint

LINTFLAGS	= -bchx -I.

LN		= ln

# This program will not likely be available at other than the author's
# site, so the .html file is preserved unless a "make maintainer-clean"
# is done.  It may be freely distributed at some point, so if you want
# it, ask the author about its status.
MAN2HTML	= $(AWK) -f $$HOME/public_html/support/myman2html/man2html.awk

MV		= /bin/mv

NROFF		= nroff

RM		= /bin/rm -f

SCRIBE-TESTS-1	= testscr1.org testscr2.org

# Do NOT use SCRIBE-TESTS-1 in this list, because MIPS 6280 RISCos 5.0
# make then fails to correctly expand $(SCRIBE-TESTS:.org=.xyz).
SCRIBE-TESTS	= testscr1.org testscr2.org testscr3.org

SED		= /bin/sed

SHELL		= /bin/sh

SRC             = bibclean.c chek.c do.c fix.c fndfil.c isbn.c \
		  keybrd.c match.c option.c romtol.c strist.c strtol.c

STRIP		= strip

# Only the subdirectories with Makefiles are listed here
SUBDIRS		= doc

TAGS-FILES      = bibclean.c bibclean.h ch.h chek.c config.h custom.h \
		  delete.h do.c fix.c fndfil.c isbn.c keybrd.c \
		  keybrd.h match.c match.h option.c pattern.h romtol.c \
		  strist.c strtol.c token.h toklst.h vaxvms.c \
		  vmswild.c xctype.h xerrno.h xlimits.h xpwd.h xstat.h \
		  xstdlib.h xstring.h xtypes.h xunistd.h yesorno.h

UNZIP		= unzip

VERSION		= `$(AWK) '/^[ \t]*version *= *"[0-9.]+", *$$/ \
		{ gsub(/[^0-9.]/,"",$$3); print $$3 }' bibclean.c`

ZIP		= zip

ZOO		= zoo

#=======================================================================

.SUFFIXES:

.SUFFIXES: .o .i .c .bib-new .bib-old .bib

.bib.bib-new:
	-$(BIBCLEAN) <$< >$@

.bib.bib-old:
	./bclproto <$< >$@

.c.i:
	$(CC) -E -I. -I$(srcdir) $(DEFS) $(CPPFLAGS) $(CFLAGS) $< 2>&1 | \
		grep -v '^[ 	]*$$' >$@

.c.o:
	$(CC) -c -I. -I$(srcdir) $(DEFS) $(CPPFLAGS) $(CFLAGS) $<

#=======================================================================

all: bibclean

### bibclean-specific building targets ###

bibclean.dvi: bibclean.texi
	cd $(srcdir); texi2dvi bibclean.texi

bibclean.html:	bibclean.man
	-$(CHMOD) u+w $@
	$(MAN2HTML) $$PWD/$< | $(HTML-PRETTY)  -f $$PWD/$@ | $(CHECKSUM) >$@
	$(CHMOD) a-w $@
	$(HTML-NCHECK) $@

bibclean.info: bibclean.texi
	cd $(srcdir); makeinfo bibclean.texi

BIBCLEAN-OBJS   = bibclean.o chek.o do.o fix.o fndfil.o isbn.o \
		  keybrd.o match.o option.o romtol.o strist.o \
		  $(LIBOBJS)

=== doc/Makefile ===
#=======================================================================
# Makefile for bibclean TUBboat article and GNU Emacs info documentation
# [03-May-1996] -- update style and macro files with latest versions,
#		   update GNU standard targets, and update spelling
#		   error checks to use style of TUG bibliography 
#		   collection
# [31-Dec-1993] -- final polishing of Makefile for public release
#                  after TUGboat publication
# [04-May-1993] -- add bundle, SHAR, SHARFILES, and add quoting of @
#		   in index
# [14-Jan-1993]
#=======================================================================
BIBTEX		= bibtex
CP		= /bin/cp
DETEX		= detex
DW		= dw
ISPELL		= ispell
LATEX		= latex
MAKEINDEX 	= makeindex
MV		= /bin/mv
RM		= /bin/rm -f
SED		= sed
SHAR		= shar -c -v
SHARFILES       = Makefile bibclean.aux bibclean.bbl bibclean.bib \
		  bibclean.idx bibclean.ind bibclean.lot bibclean.ltx \
		  bibclean.sok bibclean.sty bibclean.toc is-plain.bst
SPELL		= spell
TEXINDEX 	= texindex

ALL:	bibclean.dvi

all:	bibclean.ser dw bibclean.dvi

bibclean.aux:
	if [ ! -f bibclean.aux ] ; then touch bibclean.aux ; fi

bibclean.bbl:	bibclean.bib bibclean.aux
	if [ ! -f bibclean.aux ] ; then touch bibclean.aux ; fi
	-$(BIBTEX) bibclean

bibclean.dvi:	bibclean.bbl bibclean.ltx bibclean.ind bibclean.sty
	$(LATEX) bibclean.ltx
	$(MAKE) bibclean.bbl bibclean.ind
	$(LATEX) bibclean.ltx
	$(LATEX) bibclean.ltx

bibclean.idx:
	if [ ! -f bibclean.idx ] ; then touch bibclean.idx ; fi

bibclean.ind:	bibclean.idx Makefile
	$(MV) bibclean.idx bibclean.idw
	$(SED) -e 's/{\\tt <}@/<@/' \
		-e 's/{\\tt >}@/>@/' \
		-e 's/{\\%\\%@{\\tt \\%\\%}}/{\\%\\%@{\\protect\\tt \\%\\%}}/' \
		-e 's/@@{\\tt @}/"@@{\\tt "@}/' \
		-e 's/{@@{\\tt @}}/{"@@{\\tt "@}}/' \
		-e 's/\\{ */\\{/g' \
		-e 's/\\} */\\}/g' \
		<bibclean.idw >bibclean.idx
	-$(MAKEINDEX) bibclean

bibclean.ser:	bibclean.ltx bibclean.sok
	if [ ! -f bibclean.sok ] ; then touch bibclean.sok ; fi
	@echo '==================== spelling exceptions ===================='
	$(DETEX) bibclean.ltx | $(SED) -e 's/[0-9,.:;]/ /g' | \
		$(SPELL) +bibclean.sok >bibclean.ser
	$(DETEX) bibclean.ltx | $(SED) -e 's/[0-9,.:;]/ /g' | \
		$(ISPELL) -l -p bibclean.sok | sort -u >>bibclean.ser
	cat bibclean.ser

bundle:	$(SHARFILES)
	$(SHAR) $(SHARFILES) >$@

clean mostlyclean:
	$(RM) *.blg
	$(RM) *.dvi*
	$(RM) *.idw
	$(RM) *.ilg
	$(RM) *.log
	$(RM) *.o
	$(RM) *.ser
	$(RM) *.tmp
	$(RM) *~
	$(RM) \#*
	$(RM) core

clobber distclean:	clean
	$(RM) *.aux
	$(RM) *.bbl
	$(RM) *.idx
	$(RM) *.ind
	$(RM) *.lof
	$(RM) *.lot
	$(RM) *.toc

# We strip \index{} entries first to avoid large numbers of bogus duplicate
# word warnings.
dw:
	@echo '==================== doubled words ===================='
	$(SED) -e 's/^ *\\index{.*$$//' bibclean.ltx | $(DETEX) | $(DW)

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

spell: bibclean.ser

=== debian/changelog ===
bibclean (2.11.4.1-4) unstable; urgency=low

  * build targets changed to recommendation from lintian
  * suggest texlive-base-bin instead of just tex (Closes: #646913)
  * debian/patches: patches reworked
  * debian/control: readability improved
  * debian/rules: tidy up

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Dec 2011 18:25:20 +0100

bibclean (2.11.4.1-3) unstable; urgency=low

  * debian/rules: make sure to rebuild everything
  * debian/control: add dependencies for latex, bibtex, makeindex etc.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 14 Oct 2011 18:10:18 +0200

bibclean (2.11.4.1-2) unstable; urgency=low

  * patches reworked (Closes: #643054)
  * debian/control: remove dependency on quilt
  * debian/control: standard version changed to 3.9.2 (no changes)
  * debian/patches/bibclean-doc.patch: to be able to create documentation
  * debian/rules: build-arch and build-indep target added
  * debian/rules: create bibclean.dvi from scratch
  * debian/rules: remove */*.dvi in clean target
  * debian/rules: explicit calls to dh_quilt* removed

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 12 Oct 2011 18:00:00 +0200

bibclean (2.11.4.1-1) unstable; urgency=low

  * new maintainer (Closes: 525922)
  * patch to bibclean.ini to prevent year 2010 bug (Closes: #569688)
  * debian/control: Standards version set to 3.9.1
  * debian/control: dependency on quilt added
  * debian/control: DM-Upload-Allowed added
  * debian/compat: set to 8 (as well in debian/control)
  * quilt patch created
  * directories vms and ibmpc with precompiled binaries removed from
    source tar file (lintian complained about them)
    this resulted in a new orig file and therefore the version changed
    from 2.11.4 from upstream to 2.11.4.1

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Nov 2010 18:00:00 +0100

bibclean (2.11.4-7) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Make clean not ignore errors.
  * Move URL from package description to Homepage.
  * Remove strip from Makefile.in. (Closes: #436582).
  * Update debhelper build-dep to >= 5.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 22:12:51 -0400

bibclean (2.11.4-6) unstable; urgency=low

  * Add watch file
  * Update ISBN prefix range database in isbn.c with current ranges

 -- Henning Makholm <henning@makholm.net>  Wed,  9 Nov 2005 22:39:58 +0100

bibclean (2.11.4-5) unstable; urgency=low

  * Support the new ISDN-13 format (validation and format canonicalization).
  * Update ISBN prefix range database in isbn.c with fresh data from
    www.isbn-international.org.

 -- Henning Makholm <henning@makholm.net>  Wed, 29 Dec 2004 14:27:06 +0000

bibclean (2.11.4-4) unstable; urgency=low

  * Add lintian override for false positive (GPL)
  * Now lintian clean.
  * Show all options on manual page

 -- Henning Makholm <henning@makholm.net>  Tue, 28 Dec 2004 20:01:28 +0000

bibclean (2.11.4-3) unstable; urgency=low

  * Fix the autotools timestamp skew problem for configure/configure.in.
    Thanks to Martin Loschwitz for noticing that my previous attempt at
    fixing this did not work reliably (due to upstream shipping a
    Makefile in his tarball rather than just a Makefile.in).
  * Tune generation of the canned help text in bibclean.h such that
    its layout matches that distributed by upstream better.

 -- Henning Makholm <henning@makholm.net>  Tue, 24 Feb 2004 20:58:56 +0000

bibclean (2.11.4-2) unstable; urgency=low

  * Minor speling fixes (Closes: #215863)

 -- Henning Makholm <henning@makholm.net>  Sat,  6 Dec 2003 16:26:49 +0000

bibclean (2.11.4-1) unstable; urgency=low

  * Initial Debian release. (Closes: #211799)

 -- Henning Makholm <henning@makholm.net>  Sun, 21 Sep 2003 17:01:56 +0100

=== debian/control ===
Source: bibclean
Section: tex
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8.0.0), 
 tex-common (>= 0.16), 
 texlive-latex-base, 
 texlive-metapost, 
 texlive-latex-recommended
Standards-Version: 3.9.2
Homepage: http://ftp.math.utah.edu/pub/bibclean/
DM-Upload-Allowed: yes

Package: bibclean
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive-base-bin
Description: pretty-printer for BibTeX databases
 This is a pretty-printer and syntax-checker for bibliographic
 databases in the BibTeX format. It is a useful tool for canonicalizing
 the layout of personal bibliographies with entries fetched from many
 different sources.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# This target makes sure that timestamps of files are in the
# right order after dpkg-deb has unpacked the package. It prevents
# the upstream Makefile from trying to regenerate the files (which
# would be problematic because we don't build-depend on the appropriate
# tools).
autogen-check: configure bibclean.h
	dh_testdir
	touch configure
	touch bibclean.h

config.status: autogen-check
	CFLAGS="$(CFLAGS)" ./configure \
		--with-pager=/usr/bin/pager --with-fhs-rcfiles \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
                --prefix=/usr --mandir=\$${prefix}/share/man

build: build-arch build-indep

build-stamp: config.status
	$(MAKE)
	$(MAKE) -C ./doc bibclean.dvi
	touch build-stamp

clean: autogen-check
	[ -z "`find -uid 0`" ] || dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) -o config.status -o Makefile.in distclean
	rm -f Makefile
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install-exe prefix=$(CURDIR)/debian/bibclean/usr
	mv debian/bibclean/usr/share/bibcleanrc debian/bibclean/etc/
	rm debian/bibclean/usr/bin/bibclean-*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	echo misc:Depends= > debian/bibclean.substvars
	dh_testdir
	dh_testroot
	dh_installdirs $(LINTIAN)
	dh_installdocs doc/bibclean.dvi
	dh_installman bibclean.man
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	rm -f debian/bibclean.substvars

binary: binary-indep binary-arch


# build targets as suggested by explanation to lintian warning
build-arch: build-stamp
build-indep: build-stamp

.PHONY: build clean binary-indep binary-arch binary install autogen-check

# The following two rules will should not fire when the Debian source
# package is unpacked, because the two files in question should already
# exist in that case. However, they *will* fire for a clean checkout
# of my cvs repository, e.g. when cvs-buildpackage runs the clean
# target before creating a source package. 
configure:
	dh_testdir
	autoconf2.13

# Special magic to reproduce the same layout as the bibclean.h
# distributed by upstream:
bibclean.h:
	dh_testdir
	make -f Makefile.in AWK=awk NROFF='nroff -rLL=74n' SED=sed bibclean.h
	perl -pi -e's/"  /"/' bibclean.h

=== debian/watch ===
version=2
http://www.math.utah.edu/pub/bibclean/ bibclean-(\d+\.[\d\.]+)\.tar\.gz

## bibclean 3.07

=== save/Makefile ===
### ====================================================================
### Makefile for BibTeX .bib file prettyprinter
###
### Current target list: (these include all GNU Project standard
### targets)
###
###	all			build bibclean
###	bibclean		executable for bibclean
###	bibclean.h		documentation strings for help()
###				function
###	bibclean.hlp		VAX VMS help file (automatically
###				converted from bibclean.txt)
###	bibclean.html		HTML version of formatted manual pages
###	bibclean.i		C preprocessor output from bibclean.c
###	bibclean.jar		Java Jar distribution archive
###	bibclean.pdf		Adobe Portable Document Format version
###				of bibclean.man
###	bibclean.ps		PostScript version of bibclean.man
###	bibclean.tar		tar archive file for ftp distribution
###	bibclean.txt		nroff'ed bibclean.man manual page file
###	bibclean.zip		Info-zip archive file for ftp
###				distribution
###	bibclean.zoo		zoo archive file for ftp distribution
###	check			same as test (see below)
###	clean			clean up all but executables and time
###				stamps
###	clobber			clean up everything
###	distclean		remove everything make can rebuild at
###				remote site
###	docs			make bibclean.txt, bibclean.hlp, and
###				bibclean.ps
###	install			install executable and man pages
###	install.time		internal target for install
###	install-exe		install executable
###	install-man		install man pages
###	install-ftp		install .tar, .zip, and .zoo files in
###				ftp tree
###	install-ftp.time	internal target for install-ftp
###	lint			check for code problems
###	mostlyclean		same as clean
###	maintainer-clean	for program author only: remove
###				everything make can rebuild at
###				author's site
###	romtol			build and run test program for romtol()
###	TAGS			GNU Emacs tags file
###	test			test bibclean on BibTeX and Scribe
###				bibliographies
###	test-bibtex		test 1,2,3 bibclean on BibTeX
###				bibliographies
###	test-bibtex-1		test 1 bibclean on BibTeX bibliographies
###	test-bibtex-2		test 2 bibclean on BibTeX bibliographies
###	test-bibtex-3		test 3 ISBN and ISSN verification
###	test-scribe		test 1,2,3 bibclean on Scribe
###				bibliographies
###	test-scribe-1		test 1 bibclean on Scribe bibliographies
###	test-scribe-2		test 2 bibclean on Scribe bibliographies
###	test-scribe-3		test 3 bibclean on Scribe bibliographies
###	test-version		test extraction of version number
###	uninstall		remove files installed by "make install"
###	uninstall-ftp		remove installed files in anonymous ftp
###				directory
###
### [28-Feb-2016] -- major update for bibclean 3.00 and later
### [28-Aug-2001] -- major update for bibclean 2.12 and later
### [01-Jul-1996] -- add targets bibclean.pdf and DISTILL macro, and
###		     update DIST-FILES list
### [03-May-1996] -- add targets match, romtol, test-match, and
###		     and test-romtol, and update DIST-FILES list for
###		     version 2.11.3 release
### [25-Apr-1996] -- add target for bibclean.html, with associated
###		     support Makefile variables
### [20-Sep-1995] -- revise to use GNU autoconf and configure
### [08-Mar-1995] -- Change TARGET to TARGETS to avoid conflict with
###		     built-in macro on Cray systems. Add -D_POSIX_SOURCE
###		     to dec-alpha-osf1-c++ CC definition to work around
###		     bug in C++ signal.h header file on OSF/1 3.x.
### [21-Nov-1994] -- add cray-el94 target
### [11-Nov-1994] -- add sun-sparc-solaris2-lcc and sun-sparc-sunos5-lcc
###		     targets
### [18-Oct-1994] -- add isbn.[co] to file lists
### [16-Oct-1994] -- add strist.[co] to file lists
### [04-Jun-1994] -- update for version 2.10
###		     add lint target
### [31-Dec-1993] -- final polishing of Makefile for public release
###		     after TUGboat publication
### [24-Sep-1993] -- original version
### ====================================================================

### --------------------------------------------------------------------
### Start of system configuration section.

BIBCLEANNAME	= bibclean

prefix		= /usr/uumath
exec_prefix     = ${prefix}

bindir          = ${exec_prefix}/bin
srcdir          = .

datarootdir	= ${prefix}/share
datadir		= ${datarootdir}
bibcleandir	= ${datadir}/${BIBCLEANNAME}
initdir		= ${bibcleandir}/${VERSION}

### This is needed only at the developer's site:
FTPDIR		= /u/ftp/pub/tex/bib

CC              = gcc
CFLAGS          =  -I${prefix}/include ${OPT}
CPPFLAGS	=  -I${prefix}/include

DEFS            = -DINITDIR='"${initdir}"' ${XDEFS} -DHAVE_CONFIG_H

LDFLAGS         = -L/usr/uumath/lib64 -Wl,-rpath,/usr/uumath/lib64 ${OPT}
LIBOBJS		= 
LIBS            = 

OPT		=



### Where to install the manual pages.
mandir          = ${prefix}/man/man1
### Extension (not including `.') for the installed manual page filenames.
manext          = 1

### End of system configuration section.
### --------------------------------------------------------------------

AUTOCONF	= autoconf

AUTOHEADER	= autoheader

AWK		= mawk

BIBCLEAN	= bibclean${EXEEXT}

### This option is normally empty, but is used by the developer
### to test whether new options affect output.
BIBCLEANFLAGS	=

BIBISBN		= bibisbn${EXEEXT}

CHECK-BIBISBN	= bibisbn1 bibisbn2 bibisbn3 bibisbn4 bibisbn5 bibisbn6 bibisbn7

BIBTEX		= bibtex

CAT		= cat

### The topt1* tests try all recognized options with a single leading dash, and
### the topt3* tests are their companions with two leading dashes.  However, we
### intentionally EXCLUDE topt163 and topt363 because they hold -print-patterns
### options whose output is site-dependent.  We have no tests for
### -trace-file-opening because that too is site-dependent, and also
### user-dependent.

CHECK-BIBTEX    = testbib1 testbib2 testbib3 testbib4 testbib5 testbib6		\
		  testbib7 testbib8 testcodn testisxn testopt1 testopt2		\
		  testopt3 testopt4 testopt5 testopt6 testopt7 testopt8		\
		  testopt9 testopta testoptb testoptc testoptd testopte		\
		  testoptf testoptg testopth testopti testoptj testoptk		\
		  testoptl testoptm testoptn testopto testoptp testoptq		\
		  testoptr testopts testoptt testoptu testoptv testoptw		\
		  topt101 topt102 topt103 topt104 topt105 topt106 topt107	\
		  topt108 topt109 topt110 topt111 topt112 topt113 topt114	\
		  topt115 topt116 topt117 topt118 topt119 topt120 topt121	\
		  topt122 topt123 topt124 topt125 topt126 topt127 topt128	\
		  topt129 topt130 topt131 topt132 topt133 topt134 topt135	\
		  topt136 topt137 topt138 topt139 topt140 topt141 topt142	\
		  topt143 topt144 topt145 topt146 topt147 topt148 topt149	\
		  topt150 topt151 topt152 topt153 topt154 topt155 topt156	\
		  topt157 topt158 topt159 topt160 topt161 topt162 topt164	\
		  topt165 topt166 topt167 topt168 topt169 topt170 topt171	\
		  topt301 topt302 topt303 topt304 topt305 topt306 topt307	\
		  topt308 topt309 topt310 topt311 topt312 topt313 topt314	\
		  topt315 topt316 topt317 topt318 topt319 topt320 topt321	\
		  topt322 topt323 topt324 topt325 topt326 topt327 topt328	\
		  topt329 topt330 topt331 topt332 topt333 topt334 topt335	\
		  topt336 topt337 topt338 topt339 topt340 topt341 topt342	\
		  topt343 topt344 topt345 topt346 topt347 topt348 topt349	\
		  topt350 topt351 topt352 topt353 topt354 topt355 topt356	\
		  topt357 topt358 topt359 topt360 topt361 topt362 topt364	\
		  topt365 topt366 topt367 topt368 topt369 topt370 topt371	\
		  topt372

CHECK-LATEX	= testltx1.ltx

CHECK-MATCH	= match.in

CHECK-ROMTOL	= romtol.in

CHECK-SCRIBE	= testscr1.bib testscr2.bib testscr3.bib testscr4.bib

### This program is freely available at ftp://ftp.math.utah.edu/pub/checksum/
CHECKSUM	= checksum

CHMOD		= chmod

CMP		= cmp

CP		= scp -p
CPFLAGS		= -p

CUT		= cut

DATE		= date

DIFF		= diff

DIST-FILES      = ChangeLog COPYING README Makefile.in bibclean.c bibclean.h	\
		  bibclean.hlp bibclean.html bibclean.ini bibclean.isbn		\
		  bibclean.key bibclean.man bibclean.pdf bibclean.ps		\
		  bibclean.reg bibclean.txt build-all.sh ch.h chek.c		\
		  config.hin configure configure.ac configure.sed custom.h	\
		  delete.h do.c dbx-test.run fix.c fndfil.c isbn.c isbn.h	\
		  isbn.tbl isbn-el-to-bibclean-isbn.awk keybrd.c keybrd.h	\
		  match.c match.dat match.h option.c pattern.h rofvms.awk	\
		  romtol.c romtol.dat strist.c strtol.c token.h toklst.h	\
		  tstctype.c typedefs.h vaxvms.c vmswild.c xctype.h xerrno.h	\
		  xlimits.h xpwd.h xstat.h xstdbool.h xstdio.h xstdlib.h	\
		  xstring.h xtypes.h xunistd.h yesorno.h testscr2.bo2		\
		  testscr2.eo2 ${FILES-DOC} ${FILES-IBMPC} ${FILES-SAVE}	\
		  ${FILES-TEST} test/plain.bst ${FILES-VMS} ${FILES-WINDOWS}

DISTILL		= ps2pdf

DITROFF		= groff

ETAGS		= etags

EXEEXT		= 

EXPR		= expr

### On UNIX systems, the FILES-xxx lists could be generated by `find xxx
### -type f | sort`, but explicit enumeration eases portability to other
### operating systems, and ensures that we do not accidentally include
### unwanted temporary files that might be present.
FILES-DOC       = doc/Makefile doc/bibclean.aux doc/bibclean.bbl	\
		  doc/bibclean.bib doc/bibclean.blg doc/bibclean.dvi	\
		  doc/bibclean.idw doc/bibclean.idx doc/bibclean.ilg	\
		  doc/bibclean.ind doc/bibclean.log doc/bibclean.lot	\
		  doc/bibclean.ltx doc/bibclean.pdf doc/bibclean.ps	\
		  doc/bibclean.sok doc/bibclean.sty doc/bibclean.toc	\
		  doc/is-plain.bst doc/ltugboat.sty doc/path.sty	\
		  doc/texnames.sty doc/tugboat.cmn

FILES-IBMPC	= ibmpc/dos/README ibmpc/dos/msc5p1/bibclean.exe		\
		  ibmpc/dos/msc5p1/config.h ibmpc/dos/msc5p1/ibmclean.bat	\
		  ibmpc/dos/msc5p1/ibmtest.bat ibmpc/dos/msc5p1/msc51bld.bat	\
		  ibmpc/dos/msc5p1/msc51pth.bat ibmpc/dos/msc6p0/bibclean.exe	\
		  ibmpc/dos/msc6p0/bibclean.map ibmpc/dos/msc6p0/config.h	\
		  ibmpc/dos/msc6p0/ibmclean.bat ibmpc/dos/msc6p0/ibmtest.bat	\
		  ibmpc/dos/msc6p0/msc60bld.bat ibmpc/dos/msc6p0/msc60pth.bat	\
		  ibmpc/dos/msc7p0/config.h ibmpc/dos/msc7p0/ibmclean.bat	\
		  ibmpc/dos/msc7p0/ibmtest.bat ibmpc/dos/msc7p0/msc70bld.bat	\
		  ibmpc/dos/msc7p0/msc70pth.bat ibmpc/dos/tcc2p0/bibclean.exe	\
		  ibmpc/dos/tcc2p0/config.h ibmpc/dos/tcc2p0/ibmclean.bat	\
		  ibmpc/dos/tcc2p0/ibmtest.bat ibmpc/dos/tcc2p0/tcc20bld.bat	\
		  ibmpc/dos/tcc2p0/tcc20pth.bat ibmpc/dos/tcc3p0/bibclean.exe	\
		  ibmpc/dos/tcc3p0/config.h ibmpc/dos/tcc3p0/ibmclean.bat	\
		  ibmpc/dos/tcc3p0/ibmtest.bat ibmpc/dos/tcc3p0/tcc30bld.bat	\
		  ibmpc/dos/tcc3p0/tcc30pth.bat ibmpc/dos/tpp3p0/bibclean.exe	\
		  ibmpc/dos/tpp3p0/config.h ibmpc/dos/tpp3p0/ibmclean.bat	\
		  ibmpc/dos/tpp3p0/ibmtest.bat ibmpc/dos/tpp3p0/tcc30pth.bat	\
		  ibmpc/dos/tpp3p0/tpp30bld.bat					\
		  ibmpc/dos/wat10/wcc/bibclean.exe				\
		  ibmpc/dos/wat10/wcc/bibclean.map				\
		  ibmpc/dos/wat10/wcc/config.h					\
		  ibmpc/dos/wat10/wcc/ibmclean.bat				\
		  ibmpc/dos/wat10/wcc/ibmtest.bat				\
		  ibmpc/dos/wat10/wcc/watcpp.bat				\
		  ibmpc/dos/wat10/wcc/watpath.bat				\
		  ibmpc/dos/wat10/wcc/watwcc.bat				\
		  ibmpc/dos/wat10/wcc386/bibclean.exe				\
		  ibmpc/dos/wat10/wcc386/config.h				\
		  ibmpc/dos/wat10/wcc386/dos4gw.doc				\
		  ibmpc/dos/wat10/wcc386/dos4gw.exe				\
		  ibmpc/dos/wat10/wcc386/ibmclean.bat				\
		  ibmpc/dos/wat10/wcc386/ibmtest.bat				\
		  ibmpc/dos/wat10/wcc386/wat10bld.bat				\
		  ibmpc/dos/wat10/wcc386/watpath.bat				\
		  ibmpc/dos/wat10/wpp386/bibclean.exe				\
		  ibmpc/dos/wat10/wpp386/config.h				\
		  ibmpc/dos/wat10/wpp386/dos4gw.doc				\
		  ibmpc/dos/wat10/wpp386/dos4gw.exe				\
		  ibmpc/dos/wat10/wpp386/ibmclean.bat				\
		  ibmpc/dos/wat10/wpp386/ibmtest.bat				\
		  ibmpc/dos/wat10/wpp386/w386cpp.bat				\
		  ibmpc/dos/wat10/wpp386/watpath.bat ibmpc/linux/bibclean

FILES-SAVE	= save/Makefile save/config.h save/config.hin save/configure	\
		  save/custom.h

FILES-TEST      = test/match.in test/okay/match.err test/okay/match.out		\
		  test/okay/romtol.err test/okay/romtol.out			\
		  test/okay/testbib1.err test/okay/testbib1.out			\
		  test/okay/testbib2.err test/okay/testbib2.out			\
		  test/okay/testbib3.err test/okay/testbib3.out			\

=== debian/changelog ===
bibclean (3.07-2) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * debian/control: add VCS URLs
  * debian/rules: use dh now

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Dec 2024 19:08:21 +0100

bibclean (3.07-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #1074842)
    (Closes: #810106)
  * debian/patches: all patches applied upstream
  * debian/watch: update, no SSL possible
  * debian/control: add Rules-Requires-Root: no
  * debian/rules: Fix FTCBFS: Let dpkg's buildtools.mk supply CC.
                  Thanks to Helmut Grohne for the patch!
                  (Closes: #1023743)
  * This is a version jump from 2.11 to 3.07 and is comparable with
    a new package. In case anything is broken, please file a bug!

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 05 Aug 2024 19:08:21 +0200

bibclean (2.11.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export CFLAGS from dpkg-buildflags(1) and FORCE_SOURCE_DATE to make the
    build reproducible. Based on a patch by Vagrant Cascadian.
    (Closes: #829754)
  * Apply a patch by Helmut Grohne to add support for using a C compiler
    suitable for cross-building. (Closes: #929036)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 10:42:07 -0700

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: tex
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 8.0.0), 
- tex-common (>= 0.16), 
- texlive-latex-base, 
- texlive-metapost, 
+Build-Depends: debhelper-compat (= 12),
+ tex-common (>= 0.16),
+ texlive-latex-base,
+ texlive-metapost,
  texlive-latex-recommended
-Standards-Version: 3.9.2
+Standards-Version: 4.7.0
 Homepage: http://ftp.math.utah.edu/pub/bibclean/
-DM-Upload-Allowed: yes
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/alteholz/bibclean
+Vcs-Git: https://salsa.debian.org/alteholz/bibclean.git
 
 Package: bibclean
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CC
export FORCE_SOURCE_DATE=1

CONFIGURE_FLASE = --with-pager=/usr/bin/pager --with-fhs-rcfiles \
		--prefix=/usr --mandir=\$${prefix}/share/man

%:
	dh $@

override_dh_auto_configure:
	echo $(CFLAGS) " -> " $(CPPFLAGS)
	CFLAGS="$(CFLAGS) $(CPPFLAGS) " dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build
	make -C ./doc bibclean.dvi

=== debian/watch ===
version=4
http://www.math.utah.edu/pub/bibclean/ bibclean-(\d+\.[\d\.]+)\.tar\.gz debian uupdate
